Subject: bug#66554: [PATCH] Add the public API of Compat to the core

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 13:54:26 +0200

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 12 Jan 2024 07:38:20 +0000
> 
> The consequence is that we don't have to update any files, and I would
> assume we don't have to document anything in make-tarball.txt, because
> nothing has to be done when bumping the version of Emacs itself.

Thanks.

What happens when we bump Emacs version from NN.x to NN.x.90 or from
NN.x.90 to NN.x.91?  emacs-major-version and emacs-minor-version stay
the same, but the Emacs version is bumped, and there could be changes
in compat.el specific to the next release, NN.x+1 or NN+1.1, no?